Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSPPMConfiguration Class Reference

The Personal Profile Manager configuration class that contains the configuration data specific for this User. More...

`#import <CSPPMConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the PPM provider is enabled. More...
BOOL | contactsEnabled
| A Boolean value indicating whether PPM contacts are enabled. More...
BOOL | callJournalingEnabled
| A Boolean value indicating whether 24x7 Call Journaling are enabled. More...
CSServerInfo * | server
| The PPM server to connect with. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
BOOL | ppmPersistentDataEnabled
| A Boolean value indicating whether functionality of PPM (Personal Profile manager) persistent data is enabled. More...
CSButtonCustomizationPolicy | buttonCustomizationPolicy
| A value indicating whether this instance of application supports button customization. More...
NSUInteger | ppmConfigRequestTimeout
| How long to wait for a server response on PPM Configuration Request (in milliseconds) The default value is 10000. More...

## Detailed Description

The Personal Profile Manager configuration class that contains the configuration data specific for this User.

In some deployments, the PPM server address may be different from the initial SIP proxy server address.

## Property Documentation

- (CSButtonCustomizationPolicy) buttonCustomizationPolicy
| read write nonatomic assign

A value indicating whether this instance of application supports button customization.

- (BOOL) callJournalingEnabled
| read write nonatomic assign

A Boolean value indicating whether 24x7 Call Journaling are enabled.

- (BOOL) contactsEnabled
| read write nonatomic assign

A Boolean value indicating whether PPM contacts are enabled.

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the PPM provider is enabled.

- (NSUInteger) ppmConfigRequestTimeout
| read write nonatomic assign

How long to wait for a server response on PPM Configuration Request (in milliseconds) The default value is 10000.

Affected PPM Requests: CPPMGetAllEndpointConfigurationCommand, CPPMGetHomeCapabilitiesCommand, CPPMGetDeviceDataCommand

- (BOOL) ppmPersistentDataEnabled
| read write nonatomic assign

A Boolean value indicating whether functionality of PPM (Personal Profile manager) persistent data is enabled.

When this setting is enabled, PPM (Personal Profile manager) data is not re-queried after network recovery, when the client wakes up after being in sleep mode (specific for MAC client), when client fails over to secondary when primary server goes down and vice versa, when client goes in background and comes to foreground when user selects the or phone is locked and unlocked(specific for iOS client). Existing PPM cached data will be used. Client needs to logout/login or restart to get updated data. The PPM cached data consists of UC and Agent features, button locations and button customization. This feature is useful to reduce network traffic in large scale environments.

- (CSServerInfo*) server
| read write nonatomic strong

The PPM server to connect with.

The documentation for this class was generated from the following file:

- CSPPMConfiguration.h